Subject: bug#50237: 28.0.50; [calc] Default terminal when plotting in gnuplot without x11 support

From: Daniel Fleischer <[email-masked]>
Date: Sat, 28 Aug 2021 14:49:08 +0300

Ihor Radchenko [2021-08-28 Sat 18:19]  wrote:

> I have gnuplot-5.4.1-r2 compiled without X support.
> When I try the following recipe, no plot is produced and no error is
> indicated:
>
> emacs -Q:
> 1. M-x calc <RET>
> 2. [1,2,3]
> 3. <SPC>
> 4. g f
>
>
> However, I expected *some* kind of indication that gnuplot actually
> failed. From user perspective, the failure looked like "Plotting does
> not work".

Agree. According to 
<https://www.gnu.org/software/emacs/manual/html_mono/calc.html#Graphics>
it should choose a working device, in my case the "dumb" device (non X11
system) which does produces output. 

BTW, you can quickly choose a device using 'g D'. 

*Daniel Fleischer*